Skip to content

Update Directory

DirectoryUpdateResponse Beta.Directories.Update(DirectoryUpdateParamsparameters, CancellationTokencancellationToken = default)
PATCH/api/v1/beta/directories/{directory_id}

Update directory metadata.

ParametersExpand Collapse
DirectoryUpdateParams parameters
required string directoryID

Path param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
string? description

Body param: Updated description for the directory.

string? name

Body param: Updated name for the directory.

minLength1
ReturnsExpand Collapse
class DirectoryUpdateResponse:

API response schema for a directory.

required string ID

Unique identifier for the directory.

required string Name

Human-readable name for the directory.

minLength1
required string ProjectID

Project the directory belongs to.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
DateTimeOffset? DeletedAt

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
string? Description

Optional description shown to users.

DateTimeOffset? ExpiresAt

When this directory expires and is eligible for cleanup.

formatdate-time
IReadOnlyDictionary<string, JsonElement>? SystemMetadata

Reserved system-managed metadata.

Type? Type

Directory type: ‘user’, ‘index’, or ‘ephemeral’.

One of the following:
"ephemeral"Ephemeral
"index"Index
"user"User
DateTimeOffset? UpdatedAt

Update datetime

formatdate-time

Update Directory

DirectoryUpdateParams parameters = new() { DirectoryID = "directory_id" };

var directory = await client.Beta.Directories.Update(parameters);

Console.WriteLine(directory);
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "ephemeral",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "ephemeral",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/